(defun c:SBFC (/  ensol colors)
  ;select the required solids 
  (print "Select the required 3D solids : \n")
  (setq $$FACEINFO (if (= $$FACEINFO nil)  (nl-GetFaceInfo (ssget '((0 . "3DSOLID")) ) )$$FACEINFO ) 
        ssByCol (ssadd)
        colors  (getstring T "Enter Color Name or Number (red, yellow,etc.. or 8-255 or BYLAYER or TrueColor 999,999,999) : \n")
  )
  ;(setq colors "red")
  (foreach m $$FACEINFO
    (setq ensol (car m)) ;get the ename of the solid
          (foreach f (cdr(cdr m))
            (cond 
              (( = (cadr f) "Surface" )
               (if (= (nth 5 f) colors) (ssadd ensol ssByCol))
              )
              (( = (cadr f) "Region" )
               (if (= (nth 6 f) colors) (ssadd ensol ssByCol))
              )
            )
          )
  )
  (sssetfirst nil ssByCol)
   ;ssByCol
)
(defun c:SBFCRESET () (setq $$FACEINFO nil))